cowboy_req:qs(3)

NAME

cowboy_req:qs - URI query string

DESCRIPTION
    qs(Req :: cowboy_req:req()) -> Qs :: binary()

Return the query string of the effective request URI.

The query string can also be obtained using pattern matching:

    #{qs := Qs} = Req.

ARGUMENTS

Req
    The Req object.

RETURN VALUE

The query string is returned as a binary string. It is case sensitive.

CHANGELOG
    • 2.0: Only the query string is returned, it is no longer wrapped in a tuple.
    • 1.0: Function introduced.

EXAMPLES

Get the effective request URI's query string
    Qs = cowboy_req:qs(Req).

SEE ALSO

cowboy_req(3), cowboy_req:parse_qs(3), cowboy_req:match_qs(3)